Quagga缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1173350 漏洞类型 缓冲区溢出
发布时间 2012-04-11 更新时间 2012-04-11
CVE编号 CVE-2012-0250 CNNVD-ID CNNVD-201204-067
漏洞平台 N/A CVSS评分 3.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201204-067
|漏洞详情
Quagga是美国软件开发者KunihiroIshiguro所研发的一款路由软件套件。该套件可在多种平台上实现OSPFv2、OSPFv3、RIPv1/v2等协议,并提供路由重分布、路由映射等功能。Quagga0.99.20.1之前版本中ospfd的OSPFv2实现中存在缓冲区溢出漏洞。远程攻击者可利用此漏洞借助包含一个数据结构长度值小于Length头字段的network-LSA链路状态广播数据包的LinkStateUpdate(也称LSUpdate)数据包,导致拒绝服务(守护进程崩溃)。
|参考资料

来源:US-CERTVulnerabilityNote:VU#551715
名称:VU#551715
链接:http://www.kb.cert.org/vuls/id/551715
来源:NSFOCUS
名称:20685
链接:http://www.nsfocus.net/vulndb/20685
来源:NSFOCUS
名称:20681
链接:http://www.nsfocus.net/vulndb/20681